Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package directtools.DirectCameraControl

## Classes
class | DirectCameraControl
## Functions
def | centerCam
def | centerCamIn
def | centerCamNow
def | computeCOA
def | disableMouseFly
def | enableMouseFly
def | fitOnWidget
def | homeCam
def | HPanYZoomTask
def | HPPanTask
def | lockCOA
def | mouseDollyStart
def | mouseDollyStop
def | mouseFlyStart
def | mouseFlyStartTopWin
def | mouseFlyStop
def | mouseFlyStopTopWin
def | mouseRollTask
def | mouseRotateStart
| if base.direct.cameraControl.coaMarker.isHidden(): base.direct.cameraControl.coaMarker.show() else: base.direct.cameraControl.coaMarker.hide()
def | mouseRotateTask
def | moveToFit
def | orbitUprightCam
def | OrthoTranslateTask
def | OrthoZoomTask
def | pickNextCOA
def | removeManipulateCameraTask
def | reparentCam
def | spawnHPanYZoom
def | spawnHPPan
def | spawnMouseRollTask
def | spawnMouseRotateTask
def | spawnMoveToView
def | spawnOrthoTranslate
def | spawnOrthoZoom
def | spawnXZTranslate
def | spawnXZTranslateOrHPanYZoom
def | spawnXZTranslateOrHPPan
def | stickToWidgetTask
def | swingCamAboutWidget
def | toggleCOALock
def | toggleMarkerVis
| self.keyEvents = [ ['c', self.centerCamIn, 0.5], ['f', self.fitOnWidget], # Note: This function doesn't work as intended ['h', self.homeCam], ['shift-v', self.toggleMarkerVis], ['m', self.moveToFit], # Note: This function doesn't work as intended; the object dissappears and screen flashes ['n', self.pickNextCOA], ['u', self.orbitUprightCam], ['shift-u', self.uprightCam], [repr(1), self.spawnMoveToView, 1], [repr(2), self.spawnMoveToView, 2], [repr(3), self.spawnMoveToView, 3], [repr(4), self.spawnMoveToView, 4], [repr(5), self.spawnMoveToView, 5], [repr(6), self.spawnMoveToView, 6], [repr(7), self.spawnMoveToView, 7], [repr(8), self.spawnMoveToView, 8], ['9', self.swingCamAboutWidget, -90.0, t], ['0', self.swingCamAboutWidget, 90.0, t], ['`', self.removeManipulateCameraTask], ['=', self.zoomCam, 0.5, t], ['+', self.zoomCam, 0.5, t], ['-', self.zoomCam, -2.0, t], ['_', self.zoomCam, -2.0, t], ]
def | unlockCOA
def | updateCoa
def | updateCoaMarkerSize
def | updateCoaMarkerSizeOnDeath
def | uprightCam
def | XZTranslateOrHPanYZoomTask
def | XZTranslateOrHPPanTask
def | XZTranslateTask
def | zoomCam
## Variables
| altDown
float | CAM_MOVE_DURATION = 1.2
float | COA_MARKER_SF = 0.0075
| coaMarkerColorIval
| coaMarkerPos
| cqEntries
| No reason this shouldn't work with Maya cam on if not self.useMayaCamControls and (deltaT <= 0.25) or (deltaF <= 1):
| fLockCOA
| lastView
| lockRoll
| nullHitPointCount
| orthoViewRoll
| startF
| startT
tuple | Y_AXIS = Vec3(0, 1, 0)

## Function Documentation

def directtools.DirectCameraControl.centerCam | ( |  | self | ) |

def directtools.DirectCameraControl.centerCamIn | ( |  | self,
|  |  | t
| ) |  |

def directtools.DirectCameraControl.centerCamNow | ( |  | self | ) |

def directtools.DirectCameraControl.computeCOA | ( |  | self,
|  |  | entry
| ) |  |

def directtools.DirectCameraControl.disableMouseFly | ( |  | self | ) |

def directtools.DirectCameraControl.enableMouseFly | ( |  | self,
|  |  | fKeyEvents = `1`
| ) |  |

def directtools.DirectCameraControl.fitOnWidget | ( |  | self,
|  |  | nodePath = `'None Given'`
| ) |  |

def directtools.DirectCameraControl.homeCam | ( |  | self | ) |

def directtools.DirectCameraControl.HPanYZoomTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.HPPanTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.lockCOA | ( |  | self | ) |

def directtools.DirectCameraControl.mouseDollyStart | ( |  | self,
|  |  | modifiers
| ) |  |

def directtools.DirectCameraControl.mouseDollyStop | ( |  | self | ) |

def directtools.DirectCameraControl.mouseFlyStart | ( |  | self,
|  |  | modifiers
| ) |  |

def directtools.DirectCameraControl.mouseFlyStartTopWin | ( |  | self | ) |

def directtools.DirectCameraControl.mouseFlyStop | ( |  | self | ) |

def directtools.DirectCameraControl.mouseFlyStopTopWin | ( |  | self | ) |

def directtools.DirectCameraControl.mouseRollTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.mouseRotateStart | ( |  | self,
|  |  | modifiers
| ) |  |

if base.direct.cameraControl.coaMarker.isHidden(): base.direct.cameraControl.coaMarker.show() else: base.direct.cameraControl.coaMarker.hide()

def directtools.DirectCameraControl.mouseRotateTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.moveToFit | ( |  | self | ) |

def directtools.DirectCameraControl.orbitUprightCam | ( |  | self | ) |

def directtools.DirectCameraControl.OrthoTranslateTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.OrthoZoomTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.pickNextCOA | ( |  | self | ) |

    Cycle through collision handler entries

def directtools.DirectCameraControl.removeManipulateCameraTask | ( |  | self | ) |

def directtools.DirectCameraControl.reparentCam | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.spawnHPanYZoom | ( |  | self | ) |

def directtools.DirectCameraControl.spawnHPPan | ( |  | self | ) |

def directtools.DirectCameraControl.spawnMouseRollTask | ( |  | self | ) |

def directtools.DirectCameraControl.spawnMouseRotateTask | ( |  | self | ) |

def directtools.DirectCameraControl.spawnMoveToView | ( |  | self,
|  |  | view
| ) |  |

def directtools.DirectCameraControl.spawnOrthoTranslate | ( |  | self | ) |

def directtools.DirectCameraControl.spawnOrthoZoom | ( |  | self | ) |

def directtools.DirectCameraControl.spawnXZTranslate | ( |  | self | ) |

def directtools.DirectCameraControl.spawnXZTranslateOrHPanYZoom | ( |  | self | ) |

def directtools.DirectCameraControl.spawnXZTranslateOrHPPan | ( |  | self | ) |

def directtools.DirectCameraControl.stickToWidgetTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.swingCamAboutWidget | ( |  | self,
|  |  | degrees,
|  |  | t
| ) |  |

def directtools.DirectCameraControl.toggleCOALock | ( |  | self | ) |

def directtools.DirectCameraControl.toggleMarkerVis | ( |  | self | ) |

self.keyEvents = [ ['c', self.centerCamIn, 0.5], ['f', self.fitOnWidget], # Note: This function doesn't work as intended ['h', self.homeCam], ['shift-v', self.toggleMarkerVis], ['m', self.moveToFit], # Note: This function doesn't work as intended; the object dissappears and screen flashes ['n', self.pickNextCOA], ['u', self.orbitUprightCam], ['shift-u', self.uprightCam], [repr(1), self.spawnMoveToView, 1], [repr(2), self.spawnMoveToView, 2], [repr(3), self.spawnMoveToView, 3], [repr(4), self.spawnMoveToView, 4], [repr(5), self.spawnMoveToView, 5], [repr(6), self.spawnMoveToView, 6], [repr(7), self.spawnMoveToView, 7], [repr(8), self.spawnMoveToView, 8], ['9', self.swingCamAboutWidget, -90.0, t], ['0', self.swingCamAboutWidget, 90.0, t], ['`', self.removeManipulateCameraTask], ['=', self.zoomCam, 0.5, t], ['+', self.zoomCam, 0.5, t], ['-', self.zoomCam, -2.0, t], ['_', self.zoomCam, -2.0, t], ]

def directtools.DirectCameraControl.unlockCOA | ( |  | self | ) |

def directtools.DirectCameraControl.updateCoa | ( |  | self,
|  |  | ref2point,
|  |  | coaDist = `None`,
|  |  | ref = `None`
| ) |  |

def directtools.DirectCameraControl.updateCoaMarkerSize | ( |  | self,
|  |  | coaDist = `None`
| ) |  |

def directtools.DirectCameraControl.updateCoaMarkerSizeOnDeath | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.uprightCam | ( |  | self | ) |

def directtools.DirectCameraControl.XZTranslateOrHPanYZoomTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.XZTranslateOrHPPanTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.XZTranslateTask | ( |  | self,
|  |  | state
| ) |  |

def directtools.DirectCameraControl.zoomCam | ( |  | self,
|  |  | zoomFactor,
|  |  | t
| ) |  |

## Variable Documentation

altDown

float CAM_MOVE_DURATION = 1.2

float COA_MARKER_SF = 0.0075

coaMarkerColorIval

coaMarkerPos

cqEntries

No reason this shouldn't work with Maya cam on if not self.useMayaCamControls and (deltaT <= 0.25) or (deltaF <= 1):

fLockCOA

lastView

lockRoll

nullHitPointCount

orthoViewRoll

startF

startT

tuple Y_AXIS = Vec3(0, 1, 0)

All Classes Namespaces Functions Variables Enumerations Enumerator Properties